Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class NameParserImpl

    java.lang.Object
      org.apache.naming.NameParserImpl

All Implemented Interfaces:
  javax.naming.NameParser

public class NameParserImpl
extends java.lang.Object
implements javax.naming.NameParser

Parses names.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:46:17 $
Author:
  Remy Maucherat

Constructor Summary
`NameParserImpl()`

Method Summary
`javax.naming.Name` | `parse(java.lang.String name)` Parses a name into its components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameParserImpl

    public NameParserImpl()

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Parses a name into its components.

  Specified by:
    `parse` in interface `javax.naming.NameParser`
  Parameters:
    `name` - The non-null string name to parse
  Returns:
    A non-null parsed form of the name using the naming convention of this parser.
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.